Show / Hide Table of Contents

# Class DRGGauge

In-memory DRG job gauge.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<DragoonGauge>
DRGGauge

##### Inherited Members

JobGaugeBase.Address
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class DRGGauge : JobGaugeBase<DragoonGauge>

### Properties

| Improve this Doc View Source

#### BOTDState

Gets the current state of Blood of the Dragon.

##### Declaration

    public BOTDState BOTDState { get; }

##### Property Value

Type | Description
--- | ---
BOTDState |

| Improve this Doc View Source

#### BOTDTimer

Gets the time remaining for Blood of the Dragon in milliseconds.

##### Declaration

    public short BOTDTimer { get; }

##### Property Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### EyeCount

Gets the count of eyes opened during Blood of the Dragon.

##### Declaration

    public byte EyeCount { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |